Spring Tool Suite
  1. Spring Tool Suite
  2. STS-1792

Problems doing an upgrade for Grails Spring ACL sample project in STS

    Details

    • Type: Bug Bug
    • Status: Resolved Resolved
    • Priority: Major Major
    • Resolution: Works as Designed
    • Affects Version/s: 2.6.1.RELEASE
    • Fix Version/s: None
    • Component/s: GRAILS
    • Labels:
      None

      Activity

      Hide
      Kris De Volder (c) added a comment -

      When I import the sample project directly from the zip and accept the upgrade option. I observe the following:

      • upgrade command is exeucted succesfully.
      • refresh dependencies automatically scheduled after this fails because of compilation problems running "Grails compile".

      Some of the compile errors below:

        [groovyc] Compiling 14 source files to /home/kdvolder/.grails/1.3.7/projects/grails-contacts/plugin-classes
        [groovyc] org.codehaus.groovy.control.MultipleCompilationErrorsException: startup failed:
        [groovyc] /home/kdvolder/workspaces-sts/tc-dragdrop-runtime/grails-contacts/plugins/spring-security-acl-0.1/grails-app/services/org/grails/plugins/springsecurity/service/acl/AclService.groovy: 22: unable to resolve class org.codehaus.groovy.grails.plugins.springsecurity.acl.AclObjectIdentity
        [groovyc]  @ line 22, column 1.
        [groovyc]    import org.codehaus.groovy.grails.plugins.springsecurity.acl.AclObjectIdentity
        [groovyc]    ^
        [groovyc] 
        [groovyc] /home/kdvolder/workspaces-sts/tc-dragdrop-runtime/grails-contacts/plugins/spring-security-acl-0.1/grails-app/services/org/grails/plugins/springsecurity/service/acl/AclService.groovy: 20: unable to resolve class org.codehaus.groovy.grails.plugins.springsecurity.acl.AclClass
        [groovyc]  @ line 20, column 1.
        [groovyc]    import org.codehaus.groovy.grails.plugins.springsecurity.acl.AclClass
        [groovyc]    ^
        [groovyc] 
        [groovyc] /home/kdvolder/workspaces-sts/tc-dragdrop-runtime/grails-contacts/plugins/spring-security-acl-0.1/grails-app/services/org/grails/plugins/springsecurity/service/acl/AclService.groovy: 21: unable to resolve class org.codehaus.groovy.grails.plugins.springsecurity.acl.AclEntry
        [groovyc]  @ line 21, column 1.
        [groovyc]    import org.codehaus.groovy.grails.plugins.springsecurity.acl.AclEntry
        [groovyc]    ^
        [groovyc] 
        [groovyc] /home/kdvolder/workspaces-sts/tc-dragdrop-runtime/grails-contacts/plugins/spring-security-acl-0.1/grails-app/services/org/grails/plugins/springsecurity/service/acl/AclService.groovy: 23: unable to resolve class org.codehaus.groovy.grails.plugins.springsecurity.acl.AclSid
        [groovyc]  @ line 23, column 1.
        [groovyc]    import org.codehaus.groovy.grails.plugins.springsecurity.acl.AclSid
        [groovyc]    ^
        [groovyc] 
        [groovyc] /home/kdvolder/workspaces-sts/tc-dragdrop-runtime/grails-contacts/plugins/spring-security-acl-0.1/src/groovy/grails/plugins/springsecurity/acl/AbstractAclObjectIdentity.groovy: 18: unable to resolve class org.codehaus.groovy.grails.plugins.springsecurity.acl.AclObjectIdentity
        [groovyc]  @ line 18, column 1.
        [groovyc]    import org.codehaus.groovy.grails.plugins.springsecurity.acl.AclObjectIdentity
        [groovyc]    ^
        [groovyc] 
        [groovyc] /home/kdvolder/workspaces-sts/tc-dragdrop-runtime/grails-contacts/plugins/spring-security-acl-0.1/src/groovy/grails/plugins/springsecurity/acl/AbstractAclObjectIdentity.groovy: 17: unable to resolve class org.codehaus.groovy.grails.plugins.springsecurity.acl.AclClass
        [groovyc]  @ line 17, column 1.
        [groovyc]    import org.codehaus.groovy.grails.plugins.springsecurity.acl.AclClass
        [groovyc]    ^
        [groovyc] 
        [groovyc] /home/kdvolder/workspaces-sts/tc-dragdrop-runtime/grails-contacts/plugins/spring-security-acl-0.1/src/groovy/grails/plugins/springsecurity/acl/AbstractAclObjectIdentity.groovy: 19: unable to resolve class org.codehaus.groovy.grails.plugins.springsecurity.acl.AclSid
        [groovyc]  @ line 19, column 1.
        [groovyc]    import org.codehaus.groovy.grails.plugins.springsecurity.acl.AclSid
        [groovyc]    ^
        [groovyc] 
      
      Show
      Kris De Volder (c) added a comment - When I import the sample project directly from the zip and accept the upgrade option. I observe the following: upgrade command is exeucted succesfully. refresh dependencies automatically scheduled after this fails because of compilation problems running "Grails compile". Some of the compile errors below: [groovyc] Compiling 14 source files to /home/kdvolder/.grails/1.3.7/projects/grails-contacts/plugin-classes [groovyc] org.codehaus.groovy.control.MultipleCompilationErrorsException: startup failed: [groovyc] /home/kdvolder/workspaces-sts/tc-dragdrop-runtime/grails-contacts/plugins/spring-security-acl-0.1/grails-app/services/org/grails/plugins/springsecurity/service/acl/AclService.groovy: 22: unable to resolve class org.codehaus.groovy.grails.plugins.springsecurity.acl.AclObjectIdentity [groovyc] @ line 22, column 1. [groovyc] import org.codehaus.groovy.grails.plugins.springsecurity.acl.AclObjectIdentity [groovyc] ^ [groovyc] [groovyc] /home/kdvolder/workspaces-sts/tc-dragdrop-runtime/grails-contacts/plugins/spring-security-acl-0.1/grails-app/services/org/grails/plugins/springsecurity/service/acl/AclService.groovy: 20: unable to resolve class org.codehaus.groovy.grails.plugins.springsecurity.acl.AclClass [groovyc] @ line 20, column 1. [groovyc] import org.codehaus.groovy.grails.plugins.springsecurity.acl.AclClass [groovyc] ^ [groovyc] [groovyc] /home/kdvolder/workspaces-sts/tc-dragdrop-runtime/grails-contacts/plugins/spring-security-acl-0.1/grails-app/services/org/grails/plugins/springsecurity/service/acl/AclService.groovy: 21: unable to resolve class org.codehaus.groovy.grails.plugins.springsecurity.acl.AclEntry [groovyc] @ line 21, column 1. [groovyc] import org.codehaus.groovy.grails.plugins.springsecurity.acl.AclEntry [groovyc] ^ [groovyc] [groovyc] /home/kdvolder/workspaces-sts/tc-dragdrop-runtime/grails-contacts/plugins/spring-security-acl-0.1/grails-app/services/org/grails/plugins/springsecurity/service/acl/AclService.groovy: 23: unable to resolve class org.codehaus.groovy.grails.plugins.springsecurity.acl.AclSid [groovyc] @ line 23, column 1. [groovyc] import org.codehaus.groovy.grails.plugins.springsecurity.acl.AclSid [groovyc] ^ [groovyc] [groovyc] /home/kdvolder/workspaces-sts/tc-dragdrop-runtime/grails-contacts/plugins/spring-security-acl-0.1/src/groovy/grails/plugins/springsecurity/acl/AbstractAclObjectIdentity.groovy: 18: unable to resolve class org.codehaus.groovy.grails.plugins.springsecurity.acl.AclObjectIdentity [groovyc] @ line 18, column 1. [groovyc] import org.codehaus.groovy.grails.plugins.springsecurity.acl.AclObjectIdentity [groovyc] ^ [groovyc] [groovyc] /home/kdvolder/workspaces-sts/tc-dragdrop-runtime/grails-contacts/plugins/spring-security-acl-0.1/src/groovy/grails/plugins/springsecurity/acl/AbstractAclObjectIdentity.groovy: 17: unable to resolve class org.codehaus.groovy.grails.plugins.springsecurity.acl.AclClass [groovyc] @ line 17, column 1. [groovyc] import org.codehaus.groovy.grails.plugins.springsecurity.acl.AclClass [groovyc] ^ [groovyc] [groovyc] /home/kdvolder/workspaces-sts/tc-dragdrop-runtime/grails-contacts/plugins/spring-security-acl-0.1/src/groovy/grails/plugins/springsecurity/acl/AbstractAclObjectIdentity.groovy: 19: unable to resolve class org.codehaus.groovy.grails.plugins.springsecurity.acl.AclSid [groovyc] @ line 19, column 1. [groovyc] import org.codehaus.groovy.grails.plugins.springsecurity.acl.AclSid [groovyc] ^ [groovyc]
      Hide
      Kris De Volder (c) added a comment - - edited

      Tried on the commandline (both times using Grails 1.3.7) and got pretty much the same result.

      That is: when I do the upgrade first things looks fine, but that is only because Grails has not yet attempted to compile the sample app.

      If I try to compile it with "grails compile" or (more indirectly) with "grails run-app". I get compilation errors similar to the ones I get reported in the error message by STS.

      It would seem that the sample project is either broken or not compatible with Grails 1.3.7.

      Show
      Kris De Volder (c) added a comment - - edited Tried on the commandline (both times using Grails 1.3.7) and got pretty much the same result. That is: when I do the upgrade first things looks fine, but that is only because Grails has not yet attempted to compile the sample app. If I try to compile it with "grails compile" or (more indirectly) with "grails run-app". I get compilation errors similar to the ones I get reported in the error message by STS. It would seem that the sample project is either broken or not compatible with Grails 1.3.7.
      Hide
      Kris De Volder (c) added a comment -

      Closing, the problems doesn't seem to be an STS bug but a problem with the sample app.

      Show
      Kris De Volder (c) added a comment - Closing, the problems doesn't seem to be an STS bug but a problem with the sample app.

        People

        • Assignee:
          Kris De Volder (c)
          Reporter:
          Kris De Volder (c)
        • Votes:
          0 Vote for this issue
          Watchers:
          0 Start watching this issue

          Dates

          • Created:
            Updated:
            Resolved: